Bug 1476938 - katello-change-hostname should check for enough ram before making changes
Summary: katello-change-hostname should check for enough ram before making changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-31 21:02 UTC by John Mitsch
Modified: 2019-10-07 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:54 UTC
Foreman Issue Tracker 20430 None None None 2017-07-31 21:03:00 UTC

Description John Mitsch 2017-07-31 21:02:59 UTC
if you don't have 8gb memory, but forget to disable-system-checks, it will put your system in a state of unfixable without editing the script itself

Comment 1 John Mitsch 2017-07-31 21:03:02 UTC
Created from redmine issue http://projects.theforeman.org/issues/20430

Comment 2 John Mitsch 2017-07-31 21:03:05 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 4 pm-sat@redhat.com 2018-08-21 14:05:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/20430 has been resolved.

Comment 7 Lai 2018-12-13 16:43:48 UTC
The katello-change-hostname.rb installer script has been updated and added the "disable-system-checks" line.  This was verified both on a system that has 8gb and a system that has greater than 8gb.


# grep "disable-system-checks" /usr/share/katello/hostname-change.rb 
      installer << " --disable-system-checks" if disable_system_check_option?


Verified on 6.5.0 snap 7.0

Comment 10 errata-xmlrpc 2019-05-14 12:36:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.